Name:           mailgraph
Version:        1.12
Release:        4%{?dist}%{?repotag:.%{repotag}}
Summary:        A RRDtool frontend for Mail statistics

Group:          System Environment/Daemons
License:        GPL

URL:            http://people.ee.ethz.ch/~dws/software/mailgraph 
Source0:        http://people.ee.ethz.ch/~dws/software/mailgraph/pub/mailgraph-1.12.tar.gz
Source1:        mailgraph.init
Source2:        mailgraph.conf
Source3:        mailgraph.sysconfig
Patch0:         paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       perl-File-Tail, rrdtool, httpd
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires(preun): /sbin/chkconfig
Requires(post):  /sbin/chkconfig

BuildArch:      noarch

%description
Mailgraph is a very simple mail statistics RRDtool frontend for Postfix and
Sendmail that produces daily, weekly, monthly and yearly graphs of
received/sent and bounced/rejected mail.


%prep
%setup -q
%patch0 -p1 -b .paths

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m 0755 $RPM_BUILD_ROOT/%{_sbindir}
%{__install} -d -m 0755 $RPM_BUILD_ROOT/%{_initrddir}
%{__install} -d -m 0755 $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
%{__install} -d -m 0755 $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d
%{__install} -d -m 0755 $RPM_BUILD_ROOT/%{_datadir}/mailgraph
%{__install} -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/lib/mailgraph
%{__install} -d -m 0775 $RPM_BUILD_ROOT/%{_localstatedir}/cache/mailgraph

%{__install} -p -m 0755 mailgraph.cgi $RPM_BUILD_ROOT/%{_datadir}/mailgraph
%{__install} -p -m 0755 mailgraph.pl $RPM_BUILD_ROOT/%{_sbindir}/mailgraph
%{__install} -p -m 0755 %SOURCE1 $RPM_BUILD_ROOT/%{_initrddir}/mailgraph
%{__install} -p -m 0644 %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/
%{__install} -p -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/mailgraph

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name} 2>&1 > /dev/null || :

%preun
if [ $1 = 0 ]; then
  %{_initrddir}/%{name} stop 2>&1 > /dev/null || :
  /sbin/chkconfig --del %{name} 2>&1 > /dev/null || :
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
  %{_initrddir}/%{name} condrestart 2>&1 > /dev/null || :
fi


%files
%defattr(-,root,root,-)
%dir %{_localstatedir}/lib/mailgraph
%dir %attr(0775,root,apache) %{_localstatedir}/cache/mailgraph
%{_sbindir}/*
%dir %{_datadir}/mailgraph
%{_datadir}/mailgraph/*
%{_initrddir}/mailgraph
%config(noreplace) %{_sysconfdir}/sysconfig/mailgraph
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mailgraph.conf
%doc CHANGES COPYING README


%changelog
* Sun Jan 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 1.12-4
- replace %%{_var} with %%{_localstatedir}

* Sun Jan 28 2007 Bernard Johnson <bjohnson@symetrix.com> - 1.12-3
- consistent use of mode in creating directories
- add Requires for httpd
- preserve timestamps on install

* Sat Jan 27 2007 Bernard Johnson <bjohnson@symetrix.com> - 1.12-2
- add Requires(preun), Requires(post) for chkconfig

* Sat Jan 13 2007 Bernard Johnson <bjohnson@symetrix.com> - 1.12-1
- initial release
